* {
  box-sizing: border-box;
  }
body {
  font-family: 'Montserrat';
  line-height: 1.5;
  }
.overflow {
  height: 100vh;
  overflow: hidden;
}
/*全体の幅*/
.panels {
  width: 100%;
}

/*画面半分ずつにする*/
.panels__side {
  float: left;
  width: 50%;
  -webkit-perspective: 400px;
          perspective: 400px;
  display: -webkit-box;
  display: flex;
  -webkit-box-align: center;
          align-items: center;
  -webkit-box-pack: center;
          justify-content: center;
}

/*左側　色設定*/
.panels__side--left {
  background: #f4d03f;
}
/*左側　マウスを乗せたときの動き*/
.panels__side--left:hover .arrow {
  -webkit-transform: translate(-100%, -50%);
          transform: translate(-100%, -50%);
}
/*右側　色設定*/
.panels__side--right {
  background: #19b5fe;
}
/*右側　マウスを乗せたときの動き*/
.panels__side--right:hover .arrow {
  -webkit-transform: translate(0, -50%);
          transform: translate(0, -50%);
}
.panels__side--inner-left,
.panels__side--inner-right,
.panels__side--inner {
  padding: 0 5vw;
  height: 100vh;
}
/*左右文字大きさ色*/
.panels__headline {
  margin: 0;
  font-size: 40px;
  text-align: center;
  color: #1a1a1a;
}

@media (max-width: 640px) {
  .panels {
    width: 100%;
    height: 200vh;
  }
  .panels__side {
    float: none;
    width: 100%;
    height: 100vh;
    display: block;
    text-align: center;
  }
  .panels__side--inner-left,
  .panels__side--inner-right,
  .panels__side--inner {
    height: 50vh;
    padding: 2vh 8vw;
    display: -webkit-box;
    display: flex;
  }
}
/*矢印の設定*/
.arrow {
  position: absolute;
  top: 75%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  fill: #1a1a1a;
  border: 3px solid #1a1a1a;
  border-radius: 50%;
  -webkit-transition: all 0.5s cubic-bezier(0.23, 1, 0.32, 1);
  transition: all 0.5s cubic-bezier(0.23, 1, 0.32, 1);
}

/*aタグ　リンクの下線を削除*/
a{
    text-decoration: none;
}
